Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 731966 (kde-apps-20.04.3-stable) - KDE Release Service 20.04.3 stabilisation
Summary: KDE Release Service 20.04.3 stabilisation
Status: RESOLVED FIXED
Alias: kde-apps-20.04.3-stable
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2020-07-30
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords: CC-ARCHES, STABLEREQ
: 732232 (view as bug list)
Depends on: 719312
Blocks: CVE-2018-21035 CVE-2020-15954
  Show dependency tree
 
Reported: 2020-07-09 18:06 UTC by Andreas Sturmlechner
Modified: 2020-08-03 23:25 UTC (History)
2 users (show)

See Also:
Package list:
kde-apps/kdialog-20.04.3 kde-apps/keditbookmarks-20.04.3 kde-apps/kfind-20.04.3 kde-apps/konqueror-20.04.3 kde-apps/baloo-widgets-20.04.3 kde-apps/dolphin-20.04.3 kde-apps/kate-20.04.3 kde-apps/kde-apps-meta-20.04.3 kde-apps/kde-meta-20.04.3 kde-apps/kdebase-meta-20.04.3 kde-apps/kdecore-meta-20.04.3 kde-apps/khelpcenter-20.04.3 kde-apps/konsole-20.04.3 kde-apps/kwrite-20.04.3 kde-apps/kdeaccessibility-meta-20.04.3 kde-apps/kmag-20.04.3 kde-apps/kmousetool-20.04.3 kde-apps/kmouth-20.04.3 kde-apps/kdeadmin-meta-20.04.3 kde-apps/kcron-20.04.3 kde-apps/ksystemlog-20.04.3 kde-apps/analitza-20.04.3 kde-apps/artikulate-20.04.3 kde-apps/blinken-20.04.3 kde-apps/cantor-20.04.3 kde-apps/kalgebra-20.04.3 kde-apps/kalzium-20.04.3 kde-apps/kanagram-20.04.3 kde-apps/kbruch-20.04.3 kde-apps/kdeedu-data-20.04.3 kde-apps/kdeedu-meta-20.04.3 kde-apps/kgeography-20.04.3 kde-apps/khangman-20.04.3 kde-apps/kig-20.04.3 kde-apps/kiten-20.04.3 kde-apps/klettres-20.04.3 kde-apps/kmplot-20.04.3 kde-apps/kqtquickcharts-20.04.3 kde-apps/ktouch-20.04.3 kde-apps/kturtle-20.04.3 kde-apps/kwordquiz-20.04.3 kde-apps/libkeduvocdocument-20.04.3 kde-apps/marble-20.04.3 kde-apps/minuet-20.04.3 kde-apps/parley-20.04.3 kde-apps/rocs-20.04.3 kde-apps/step-20.04.3 kde-apps/bomber-20.04.3 kde-apps/bovo-20.04.3 kde-apps/granatier-20.04.3 kde-apps/kajongg-20.04.3 kde-apps/kapman-20.04.3 kde-apps/katomic-20.04.3 kde-apps/kblackbox-20.04.3 kde-apps/kblocks-20.04.3 kde-apps/kbounce-20.04.3 kde-apps/kbreakout-20.04.3 kde-apps/kdegames-meta-20.04.3 kde-apps/kdiamond-20.04.3 kde-apps/kfourinline-20.04.3 kde-apps/kgoldrunner-20.04.3 kde-apps/kigo-20.04.3 kde-apps/killbots-20.04.3 kde-apps/kiriki-20.04.3 kde-apps/kjumpingcube-20.04.3 kde-apps/klickety-20.04.3 kde-apps/klines-20.04.3 kde-apps/kmahjongg-20.04.3 kde-apps/kmines-20.04.3 kde-apps/knavalbattle-20.04.3 kde-apps/knetwalk-20.04.3 kde-apps/knights-20.04.3 kde-apps/kolf-20.04.3 kde-apps/kollision-20.04.3 kde-apps/konquest-20.04.3 kde-apps/kpat-20.04.3 dev-games/freecell-solver-5.24.0 dev-python/pysol_cards-0.10.1 kde-apps/kreversi-20.04.3 kde-apps/kshisen-20.04.3 kde-apps/ksirk-20.04.3 kde-apps/ksnakeduel-20.04.3 kde-apps/kspaceduel-20.04.3 kde-apps/ksquares-20.04.3 kde-apps/ksudoku-20.04.3 kde-apps/ktuberling-20.04.3 kde-apps/kubrick-20.04.3 kde-apps/libkdegames-20.04.3 kde-apps/libkmahjongg-20.04.3 kde-apps/lskat-20.04.3 kde-apps/palapeli-20.04.3 kde-apps/picmi-20.04.3 kde-apps/gwenview-20.04.3 kde-apps/kamera-20.04.3 kde-apps/kcolorchooser-20.04.3 kde-apps/kdegraphics-meta-20.04.3 kde-apps/kdegraphics-mobipocket-20.04.3 kde-apps/kipi-plugins-20.04.3 kde-apps/kolourpaint-20.04.3 kde-apps/kruler-20.04.3 kde-apps/libkdcraw-20.04.3 kde-apps/libkexiv2-20.04.3 kde-apps/libkgeomap-20.04.3 kde-apps/libkipi-20.04.3 kde-apps/libksane-20.04.3 kde-apps/okular-20.04.3 kde-apps/spectacle-20.04.3 kde-apps/svgpart-20.04.3 kde-apps/thumbnailers-20.04.3 kde-apps/audiocd-kio-20.04.3 kde-apps/dragon-20.04.3 kde-apps/ffmpegthumbs-20.04.3 kde-apps/juk-20.04.3 kde-apps/k3b-20.04.3 kde-apps/kamoso-20.04.3 kde-apps/kdemultimedia-meta-20.04.3 kde-apps/kdenlive-20.04.3 kde-apps/kmix-20.04.3 kde-apps/kwave-20.04.3 kde-apps/libkcddb-20.04.3 kde-apps/libkcompactdisc-20.04.3 media-sound/elisa-20.04.3 kde-apps/dolphin-plugins-dropbox-20.04.3 amd64 x86 kde-apps/kaccounts-integration-20.04.3 kde-apps/kaccounts-providers-20.04.3 kde-apps/kdenetwork-meta-20.04.3 kde-apps/kdenetwork-filesharing-20.04.3 kde-apps/kget-20.04.3 kde-apps/kio-extras-20.04.3 net-libs/kdsoap-1.9.50_pre20200317 net-libs/kdsoap-ws-discovery-client-0.2_pre20200317 kde-apps/krdc-20.04.3 kde-apps/krfb-20.04.3 kde-apps/kopete-20.04.3 kde-apps/ktp-accounts-kcm-20.04.3 kde-apps/ktp-approver-20.04.3 kde-apps/ktp-auth-handler-20.04.3 kde-apps/ktp-call-ui-20.04.3 kde-apps/ktp-common-internals-20.04.3 kde-apps/ktp-contact-list-20.04.3 kde-apps/ktp-contact-runner-20.04.3 kde-apps/ktp-desktop-applets-20.04.3 kde-apps/ktp-filetransfer-handler-20.04.3 kde-apps/ktp-kded-module-20.04.3 kde-apps/ktp-send-file-20.04.3 kde-apps/ktp-text-ui-20.04.3 kde-apps/plasma-telepathy-meta-20.04.3 kde-apps/signon-kwallet-extension-20.04.3 kde-apps/zeroconf-ioslave-20.04.3 kde-misc/kdeconnect-20.04.3 dev-libs/kpeoplevcard-0.1 arm64 media-libs/pulseaudio-qt-1.2 arm64 x11-libs/libfakekey-0.3-r1 arm64 kde-apps/akonadi-20.04.3 kde-apps/akonadi-calendar-20.04.3 kde-apps/akonadi-contacts-20.04.3 kde-apps/akonadi-import-wizard-20.04.3 kde-apps/akonadi-mime-20.04.3 kde-apps/akonadi-notes-20.04.3 kde-apps/akonadi-search-20.04.3 kde-apps/akonadiconsole-20.04.3 kde-apps/akregator-20.04.3 kde-apps/calendarjanitor-20.04.3 kde-apps/calendarsupport-20.04.3 kde-apps/eventviews-20.04.3 kde-apps/grantlee-editor-20.04.3 kde-apps/grantleetheme-20.04.3 kde-apps/incidenceeditor-20.04.3 kde-apps/kaddressbook-20.04.3 kde-apps/kalarm-20.04.3 kde-apps/kalarmcal-20.04.3 kde-apps/kcalutils-20.04.3 kde-apps/kdav-20.04.3 kde-apps/kdepim-addons-20.04.3 kde-apps/kdepim-apps-libs-20.04.3 kde-apps/kdepim-meta-20.04.3 kde-apps/kdepim-runtime-20.04.3 kde-apps/kidentitymanagement-20.04.3 kde-apps/kimap-20.04.3 kde-apps/kitinerary-20.04.3 kde-apps/kldap-20.04.3 kde-apps/kleopatra-20.04.3 kde-apps/kmail-20.04.3 kde-apps/kmail-account-wizard-20.04.3 kde-apps/kmailtransport-20.04.3 kde-apps/kmbox-20.04.3 kde-apps/kmime-20.04.3 kde-apps/knotes-20.04.3 kde-apps/konsolekalendar-20.04.3 kde-apps/kontact-20.04.3 kde-apps/kontactinterface-20.04.3 kde-apps/korganizer-20.04.3 kde-apps/kpimtextedit-20.04.3 kde-apps/kpkpass-20.04.3 kde-apps/ksmtp-20.04.3 kde-apps/libgravatar-20.04.3 kde-apps/libkdepim-20.04.3 kde-apps/libkgapi-20.04.3 kde-apps/libkleo-20.04.3 kde-apps/libksieve-20.04.3 kde-apps/libktnef-20.04.3 kde-apps/mailcommon-20.04.3 kde-apps/mailimporter-20.04.3 kde-apps/mbox-importer-20.04.3 kde-apps/messagelib-20.04.3 kde-apps/pim-data-exporter-20.04.3 kde-apps/pim-sieve-editor-20.04.3 kde-apps/pimcommon-20.04.3 kde-apps/cervisia-20.04.3 kde-apps/dolphin-plugins-git-20.04.3 kde-apps/dolphin-plugins-mercurial-20.04.3 kde-apps/dolphin-plugins-subversion-20.04.3 kde-apps/kapptemplate-20.04.3 kde-apps/kcachegrind-20.04.3 kde-apps/kde-dev-scripts-20.04.3 kde-apps/kde-dev-utils-20.04.3 kde-apps/kdesdk-meta-20.04.3 kde-apps/kdesdk-kioslaves-20.04.3 kde-apps/kdesdk-thumbnailers-20.04.3 kde-apps/kompare-20.04.3 kde-apps/kross-interpreters-20.04.3 kde-apps/libkomparediff2-20.04.3 kde-apps/lokalize-20.04.3 kde-apps/poxml-20.04.3 kde-apps/umbrello-20.04.3 kde-apps/ark-20.04.3 kde-apps/filelight-20.04.3 kde-apps/kbackup-20.04.3 kde-apps/kcalc-20.04.3 kde-apps/kcharselect-20.04.3 kde-apps/kdebugsettings-20.04.3 kde-apps/kdeutils-meta-20.04.3 kde-apps/kdf-20.04.3 kde-apps/kfloppy-20.04.3 kde-apps/kgpg-20.04.3 kde-apps/kimagemapeditor-20.04.3 kde-apps/kteatime-20.04.3 kde-apps/ktimer-20.04.3 kde-apps/kwalletmanager-20.04.3 kde-apps/print-manager-20.04.3 kde-apps/sweeper-20.04.3 kde-apps/yakuake-20.04.3 kde-misc/kio-gdrive-1.3.0 dev-libs/qtkeychain-0.10.0 kde-misc/kdiff3-1.8.3-r1 amd64 x86 kde-misc/skanlite-2.2.0 amd64 x86 app-crypt/qca-2.3.1
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2020-07-09 18:06:16 UTC
In preparation.
Comment 1 Andreas Sturmlechner gentoo-dev 2020-07-09 18:08:05 UTC
oops.
Comment 2 NATTkA bot gentoo-dev 2020-07-09 18:09:23 UTC
Unable to check for sanity:

> disallowed package spec (only = allowed): ~net-libs/kdsoap-1.9.50_pre20200317
Comment 3 NATTkA bot gentoo-dev 2020-07-09 18:13:00 UTC
Sanity check failed:

> kde-apps/kdenetwork-meta-20.04.3
>   rdepend arm64 stable profile default/linux/arm64/17.0 (9 total)
>     >=kde-misc/kdeconnect-20.04.3:5
Comment 4 Andreas Sturmlechner gentoo-dev 2020-07-09 18:13:57 UTC
Well, why not.
Comment 5 NATTkA bot gentoo-dev 2020-07-09 18:17:15 UTC
Sanity check failed:

> kde-misc/kdeconnect-20.04.3
>   depend arm64 stable profile default/linux/arm64/17.0 (9 total)
>     media-libs/pulseaudio-qt
>     x11-libs/libfakekey
>   rdepend arm64 stable profile default/linux/arm64/17.0 (9 total)
>     dev-libs/kpeoplevcard
>     media-libs/pulseaudio-qt
>     net-fs/sshfs
>     x11-libs/libfakekey
Comment 6 NATTkA bot gentoo-dev 2020-07-09 18:24:53 UTC
All sanity-check issues have been resolved
Comment 7 Andreas Sturmlechner gentoo-dev 2020-07-11 16:03:37 UTC
*** Bug 732232 has been marked as a duplicate of this bug. ***
Comment 8 Frank Krömmelbein 2020-07-12 22:28:42 UTC
1) =kde-misc/kio-gdrive-1.3.0 needs to stabilized too
From actual stable ebuild kio-gdrive-1.2.7-r1:
kaccounts? ( =kde-apps/kaccounts-integration-19.12*:5 )


2) FEATURES=' test' failed for =kde-apps/akonadi-search-20.04.3
See https://bugs.gentoo.org/662378

Ignored use flags: +systemd, +gles2-only

Wouldn't it make sense to take the opportunity and continue the deprecation of dev-qt/qtwebkit from the kdeapps?
Comment 9 Andreas Sturmlechner gentoo-dev 2020-07-12 23:14:35 UTC
(In reply to Frank Krömmelbein from comment #8)
> 1) =kde-misc/kio-gdrive-1.3.0 needs to stabilized too
> From actual stable ebuild kio-gdrive-1.2.7-r1:
> kaccounts? ( =kde-apps/kaccounts-integration-19.12*:5 )
Thanks for catching that!

(In reply to Frank Krömmelbein from comment #8) 
> Wouldn't it make sense to take the opportunity and continue the deprecation
> of dev-qt/qtwebkit from the kdeapps?
It is very slowly ongoing upstream, use is optional in most but not all applications, we could drop options at best.
Comment 10 NATTkA bot gentoo-dev 2020-07-12 23:17:48 UTC
Sanity check failed:

> kde-apps/kio-extras-20.04.3
>   depend arm64 stable profile default/linux/arm64/17.0 (9 total)
>     net-libs/kdsoap-ws-discovery-client
>   rdepend arm64 stable profile default/linux/arm64/17.0 (9 total)
>     net-libs/kdsoap-ws-discovery-client
Comment 11 NATTkA bot gentoo-dev 2020-07-13 05:49:01 UTC
Sanity check failed:

> kde-misc/kio-gdrive-1.3.0
>   depend arm64 stable profile default/linux/arm64/17.0 (9 total)
>     dev-libs/qtkeychain:=[qt5(+)]
>   rdepend arm64 stable profile default/linux/arm64/17.0 (9 total)
>     dev-libs/qtkeychain:=[qt5(+)]
Comment 12 NATTkA bot gentoo-dev 2020-07-14 19:53:02 UTC
All sanity-check issues have been resolved
Comment 13 Agostino Sarubbo gentoo-dev 2020-07-30 06:58:21 UTC
amd64 stable
Comment 14 Agostino Sarubbo gentoo-dev 2020-07-30 07:21:25 UTC
x86 stable
Comment 15 Sam James archtester gentoo-dev Security 2020-08-03 23:25:36 UTC
arm64 stable, closing